1 default topic

Track topic development

Get organized by managing topic development with the Status tab. When you create a new topic, it is automatically assigned the status “In Progress." After you start using the Status feature regularly, you can generate a Status Report to see, at a glance, where you are in the development process and to share with others on your team.

To track topic development:

  • Right-click on a topic (in the Project Manager, Topic List, or WYSIWYG Editor) and select Topic Properties. Click the Status tab. Select topic status from the status drop-down list, assign a priority number, estimate the number of hours for topic development, and use the To Do list on the right to manage all of the topics in your project.

Example

Next Tip


1 example

Track topic development

In the following example, the Topic Properties - Status Tab is shown.

Return to tip


2 drag image

Dragging and dropping images

Drag and drop functionality provides shortcut methods for performing common tasks. For example, you can easily drag images from the Project Manager and drop them into topics open in the WYSIWYG Editor.

To drag and drop an image into a topic:

  • From the Project Manager, select the image. Drag the image into the WYSIWYG Editor and drop it where you want it inserted.

Example

Previous Tip


2 example

Dragging and dropping images

In the following example, the image LION.JPG has been selected. It can be dragged to where the cursor is located in the right-hand pane under the word Lion.

Return to tip


3 drag link

Drag and drop to create links

Drag and drop functionality provides shortcut methods for performing common tasks. You can easily drag and drop to create links.

To create a link by dragging and dropping:

  • Select the text to use as the link. From the Project Manager, select the destination topic, then drag and drop it on top of the selected text in the WYSIWYG Editor. The text turns into a link. When clicked, it goes to the destination topic.

  • To use the topic title as the link text: From the Project Manager, select the destination topic. Drag the destination topic into the WYSIWYG Editor and drop it where you want it inserted.


4 reuse related topics

Recycle related topics controls

As a shortcut, you can reuse related topic controls and modify them after they are copied into other topics.

To copy a related topics control:

  • After you add a related topics control into the topic, click to select it, then press CTRL+C to copy it. Open another topic that should use it, click where you want to insert it, then press CTRL+V to paste it. To modify the one you copied, double-click it and make your changes.


5 default css for new topics

Assign a default style sheet

You don't have to assign a style sheet whenever you add a new topic. The style sheet used with the last new topic is the default style sheet for new topics.

To assign a default style sheet to new topics:

  • Click [image] to open the Create Topic Wizard. Click the Appearance tab. From Style Sheet, select the name of the style sheet to attach to the topic. (Or click New if you want to create a new style sheet for the topic.) The style sheet is linked to the new topic after you finish creating it. All new topics you add will use this style sheet by default until you change it.


6 change css for multi topics

Link a style sheet to multiple topics

If you want to use a different style sheet in your project, you don't have to link it to your topics individually. Instead, you can update all of the topics at once.

To link a style sheet to multiple topics:

  • Click the Topics tab and select the topics to update. To select multiple topics press and hold CTRL while you click each one. To select a range of topics, press and hold SHIFT while clicking the top and bottom topic of the range.

  • Click [image] to open Topic Properties. Click the Appearance tab. From Style Sheet, select the name of the style sheet to link to the topics. (Or click New if you want to create a new style sheet for the topics.) Click OK to update the topics and close the dialog.


7 example

View topics by file name or topic title

Topics listed by file names:

Topics listed by topic titles:

Return to tip


7 view html files

View topics by file name or topic title

You will probably view your list of topics in the Project Manager frequently. You can view the list by topic file names or by topic titles. In some cases, your topic file names may be very different from your topic titles. For example, you may have abbreviated your topic file names, but spelled words out in your topic titles. Sometimes it is helpful to view the topics one way or the other.

To view files in the Project Manager by topic title or by file name:

  • Click the Project tab and open the HTML Files folder. From the View menu, select By Topic Title or By File Name.

Example


8 example

Save time by selecting multiple topics

In the following example, the non-adjacent topics, Lion.htm, SecBird.htm, and Zebra.htm were selected (by pressing and holding CTRL while clicking on each topic).

Return to tip


8 multi select topics

Save time by selecting multiple topics

You can select multiple topics in the Topic List to change their properties and drag and drop them into the TOC Composer or Index Designer.

To select multiple topics:

  • Click the Topics tab. Select the first topic, then press and hold SHIFT while you select the last one. To select non-adjacent topics, press and hold CTRL while you select various topics.

Example


9 example

Determine if topic is in TOC or index

In the following example, the topics shown in blue have been added to the table of contents (which is open in the left-hand pane).

Return to tip


9 sort topics

Determine if topic is in TOC or index

You can quickly find out which topics are in or out of the TOC or index.

To determine if a topic is in the TOC or index:

  • Click the Topics tab. Then, click either the TOC or Index tab. Topics contained in the TOC or Index (whichever you opened in the left-hand pane) appear in the Topic List with a blue colored icon.

Example


10 example

Focus your work by filtering topics

In the following example, the folder drop-list has been clicked revealing a choice of subfolders.

Return to tip


10 filter topics

Focus your work by filtering topics

If you are working with the Topic List, you can view a shorter list of topics by filtering them based on their folder arrangement. This is especially useful when you have hundreds of topics in your project and you want to find a quick way to view them in groups.

To filter topics by their folders:

  • Click the Topics tab. Click the All Folders drop-down list above the column headers and select the folder name.

Example


11 example

Add subkeywords to the index quickly

In the following example, the subkeyword "flying" has been added under "Kites" by entering Kites\flying into the keyword text box.

Return to tip


11 multi level

Add subkeywords to the index quickly

You can create a subkeyword and add it to your multi-level index at the Topic Properties dialog. The main keyword must be linked to at least one topic in the index before you can add subkeywords to it.

To add a subkeyword to a keyword:

  • Select the topic and click [image] to open Topic Properties. Click the Index tab. In Keywords, type the main keyword followed by a backslash (\). Then type the subkeyword.

Example


12 empty folders

Remove empty folders from view

The Project Manager displays your custom folders in the HTML Files (Topics), Images, Multimedia, Style Sheets, and Baggage Files folders.

What if a custom folder only includes a few HTML topics and not any images, sound or video files, style sheets or baggage? You don't have to view the custom folder in any of these other Project Manager folders.

To close empty folders from view:

  • Click the Project tab. From the View menu, clear Empty Folders.


13 custom tools

Start favorite programs right from the program

You can add shortcuts to programs and files that you frequently use by adding icons to the Tools window. This way, if you want to open a Word document or edit an image in Paint Shop Pro, you can conveniently open it.

Start your favorite programs from within the program:

  • Click the Tools tab. Right-click inside the pane and select New Tool. Type the name of the tool, click [image], navigate to the drive/folder where your tool is located, and double-click to select it.

Example


13 example

Start favorite programs right from the program

In the following example, the graphics program Paint Shop Pro is being added to the tool palette.

Return to tip


14 example

Remember to right-click!

In the following example, a topic in the WYSIWYG Editor has been right-clicked revealing a menu of frequently used options.

Return to tip


14 right click menus

Remember to right-click!

The program provides extensive right-click menu support for doing the most common tasks. The menu options that are displayed are different in each component. Some components even display more than one set of menu options, depending on what you click.

  • Click inside the component that you want to work with, and then press the right mouse button. You can right-click just about anything — folders, files, keywords, topics, links, and images.

Example


15 drag and drop

Use drag and drop to save time

Drag and drop functionality provides shortcut methods for performing common tasks. You can easily drag images from the Project Manager and drop them into topics open in the WYSIWYG Editor.

Drag and drop functionality saves time and makes it easy to:

  • Create links (drag HTML topics from the Project Manager into the WYSIWYG Editor).

  • Add images (drag image files from the Project Manager into the WYSIWYG Editor).

  • Insert pages into the table of contents by dragging and dropping topics from the Topic List into the TOC Composer.


16 use help

Got a question? Use the online Help!

Use the online Help system to look up information and find answers to your questions. From the Help menu, select Contents & Index.

  • Look up topics at the Contents tab by opening books and clicking pages.

  • Find information by clicking keywords from the Index tab.

  • Look for information by typing text at the Search tab.


17 Get help on dialogs

Need to know more about a dialog?

Context-sensitive Help provides information about what users see inside applications — details about fields and controls at dialogs, explanations of messages, and descriptions of windows and screen objects. It is called “context-sensitive” because each topic is called by the application and because it provides information relevant to the task the user is trying to accomplish.

  • Click Help [image] or press F1. Details about the controls and buttons are displayed.


18 example

Speed up indexing with the Smart Index Wizard

The following example shows the first screen of the Smart Index Wizard.

Return to tip


18 smart index wizard

Speed up indexing with the Smart Index Wizard

You can get a fast start on your index by using the Smart Index Wizard. It automatically scans your topics and suggests keywords.

To use the Smart Index Wizard:

  • From the Tools menu, select Smart Index Wizard. Follow the directions on the screens and use the Help system to view step-by-step instructions and detailed information.

Example


19 copy existing keywords

Grow your index by copying keywords

Create a great index by using consistent keywords and keyword phrases. You can easily do this by copying keywords between topics.

To copy existing keywords:

  • Click the Project tab, select a topic to index, click Properties [image], click the Index tab, and then click Add Existing. You can scroll through the list of existing keywords and filter them by specific topics to copy keywords to the selected topic.

Example


19 example

Grow your index by copying keywords

Return to tip


20 printed docs

Create printed documents from your Help project

Even though online information and printed documents are completely different mediums that vary in format and presentation, they can easily share the same source files. The Document Wizard enables you to develop high-quality user guides that are suitable for printed documentation.

  • It is a good idea to have most of your project completed and up-to-date before generating printed documentation. Then, from the File menu, select Generate – Printed Documentation. Follow the directions on the screens and use the Help system to view step-by-step instructions and detailed information.


21 example

View image map links with Link View

In the following example, image map links are shown in green on the right side of the central topic.

Return to tip


21 image map links

View image map links with Link View

An image map is an image containing areas that can be clicked to go to other topics. The clickable areas in the image are referred to as "hotspots." When users click the hotspots, the viewer or browser displays the target topic.

With Link View, you can visually see the links created when you place image maps in your topics.

To view image map links graphically in Link View:

  • Click the Link View tab and, from the Project Manager, drag and drop a topic into Link View. Image map link destinations are shown connected to the central topic with green lines.

Example


22 track avenues

Track your browse sequences

If you incorporate browse sequences into your project, it's easy to keep track of which topics are part of which browse sequences.

To track browse sequence topic usage:

  • From the Project Manager, right-click a topic and select Properties. Click on the Advanced tab. A list of the browse sequences the topic is assigned to is displayed on the right side of the dialog.


23 example

Spell Check all of your topics at once

Return to tip


23 spell check all

Spell Check all of your topics at once

The WYSIWYG Editor includes a built-in spell checker. Use it to check the spelling of words in individual topics or in all of the topics in your projects. The spell checker starts at the beginning of the topic (or current location of insertion point) and checks the spelling of each word until it reaches the end of a topic.

To spell check all of the topics in your project:

  • From the Tools menu, select Spell Check All Topics. The spell checker displays each topic in your project one-by-one and suggests alternative spelling for words that may be wrong. You can choose one of the alternatives, type in your own word, ignore suggestions, or exit spell check at any time.

Example


24 print TOC

Print your tables of contents

Printing your table of contents can by useful if you need to share information about your project at a meeting, or if you want to proofread the spelling and grammar.

To print your table of contents:

  • Click the TOC tab.

  • From the File menu, select Print TOC. Select the type of information you want to print, either Detailed (book and page titles and the topic titles that are linked to them, and the folder names where the files are located) or Overview (book and page titles and the topic titles that are linked to them).


25 example

Easily find a recently used file

Return to tip


25 recently used files

Easily find a recently used file

The program automatically tracks the most recently used projects and files.

To view a list of most recently used files:

  • From the Tools menu, select Options-General. By default, the program displays the last 100 files, but you can change this number to suit your needs.

Example


26 create a bookmark

Create links within individual topics

By default, hyperlinks always jump to the beginning of the destination topic (top of HTML page). You can add a special navigation control known as a bookmark that allows users to navigate through the content of lengthy topics. The bookmark can be targeted as the destination when you create the hyperlink to the topic.

To create a new bookmark in a topic:

  • Click on the left of the text or object where you want to insert the bookmark.

  • From the Insert menu, select Bookmark. Enter a name for the bookmark. It can be any combination of letters and numbers and can consist of multiple words that are separated by underscores.

  • Now, it's easy to link to the bookmark. Select the text you want to use as a link. From the Insert menu, select Hyperlink. From the Select Destination list choose the bookmark. (Bookmarks are displayed in the list with a special bookmark icon [image])


27 undo last action

Ooops, I made a mistake!

If you change your mind and decide that you want to undo the last thing you did in the WYSIWYG Editor, you can easily undo it.

To undo the last thing you did in the WYSIWYG Editor:

  • Click Undo [image] or press CTRL+Z. (If you cannot undo the last edit you made in the WYSIWYG Editor, the Undo command is unavailable and dimmed.)


28 example

Send reports as an email message

Return to tip


28 send report in email

Send reports as an email message

You can share reports with other people by sending the report content as an email message. This could be useful if your manager wants to know the status of your project or if you are coordinating work with other authors.

To send a report as an email message:

  • From the Tools menu, select Reports.

  • Select a report and click Mail To. Your email program creates a new message and the report information is added as the content of the message. Address and send your email to its intended recipients.

Example


29 example

Indent lists within lists

Pies

Chocolate Cream

Fruit

Apple

Cherry

Key Lime

Cakes

Chocolate

Lemon

Cheesecake

Return to tip


29 indent lists in lists

Indent lists within lists

You can easily create multi-level (nested) lists by combining a list format with indents. This is especially useful if you are creating outlines or complex numbered steps.

To create multi-level lists with bullets and numbers:

  • Create and format a list.

  • Select the lines to indent and then click [image]. Each time you click the button the lines indent another level.

Example


30 example

Popup Links

You can create a link that displays an HTML topic in a popup window rather than in the default viewer. This kind of link supports HTML formatting, images, Dynamic HTML, related topics, and any other features contained in the destination topic. These kind of links can be used with topics in your project (not with external topics, Web pages or intranet sites.) Users click inside the popup to close it from view. Click inside this popup to close it.


30 popup links

Create a link that "pops" up

Create a link that displays in a popup window rather than in the viewer. This kind of link supports HTML formatting, images, Dynamic HTML, related topics, and any other HTML features contained in the destination topic.

To create a popup link:

  • In the WYSIWYG Editor, click where you want to add the link or select text to use.

  • From the Insert menu, select Popup. Select a destination file or URL.

Example


31 avenue paths

Add extra navigation with Browse Sequences

Guide users through your Help system by adding browse sequences. Browse sequences allow users to move forward and backward through a series of topics arranged in a specific order using Previous and Next buttons. You modify the viewer to include these navigation buttons.

To automatically create browse sequences:

  • Click the Tools menu and select Browse Sequence Editor.

  • Click TOC order. The Browse Sequence Editor automatically creates browse sequences for you based on your table of contents.


32 maximize wysiwyg window

Create a large work area

If you like a big area to work in while using the WYSIWYG Editor you can close the left-hand pane. This maximizes the size of the right-hand pane.

To hide the left-hand pane:

  • From the View menu, select Left Hand View. (To restore the left-hand pane, simply select Left Hand View from the View menu once again.)


33 import HTML files

Add existing HTML files

Importing existing HTML files into your project can help you accomplish your work faster because you aren't wasting time recreating information.

To import an HTML file:

  • Click the Project tab, and click on the HTML Files (Topics) folder.

  • From the File menu, select Import - HTML file. Navigate to the HTML file you want to import and add it to the project.


34 change project name

Change the name of your project

It's easy to rename projects.

To change the name of your project:

  • From the File menu, select Rename Project.

  • Edit the text in Project File Name.

Example


34 example

Change the name of your project

In the following example, the Project File Name has been selected so the name can be changed.

Return to tip


35 example

Find all references to a topic

In the following example, the topic Zebra-predation.htm is linked to:

  • TOC item "Predation"

  • Index keywords, "Predation" and "Zebra-Predation"
  • Clickable image hotspot, "Zebra\Zebra.htm#zebra"

Return to tip


35 topic references

Find all references to a topic

You can quickly view references to a single topic. References displayed include TOC items, links to the topic from other topics, links to bookmarks in the topic, keywords in the index that are associated with the topic, aliases used by the topic for context-sensitive Help and clickable areas in image maps (hotspots) that are linked to the topic.

To look up all references to a single topic:

  • From the Project tab, select a topic.

  • Right-click the topic and select Show Topic References. All references to the topic are displayed including links to the topic from books and pages in the table of contents, keywords in the index, other topics, bookmarks, and image maps.

Example


36 example

Troubleshoot broken links

In the following example, the topic "Zebra.htm" has a faulty link to the topic "Secretary Bird\SecBird-voie.htm." (The error is the word "voie" should be "voice.")

Return to tip


36 find broken links

Troubleshoot broken links

Broken links are always a nuisance, but there is an easy way to identify and troubleshoot them.

To troubleshoot broken links:

  • Click the Project tab, and then click the plus box next to the Broken Links folder.

  • Right-click on a broken topic and select Properties. All of the references to the topic are listed in order to help you investigate the cause of the broken link.

Example


37 automatically create toc

Create a table of contents automatically

A well-designed table of contents is an integral part of most projects, but sometimes you just don't have the time to put one together from scratch. Here's a way to automatically create a table of contents.

To automatically create a table of contents:

  • Click the TOC tab.

  • From the Tools menu, select Auto Create TOC. The table of contents is created based on your project structure.

Example


37 example

Create a table of contents automatically

Return to tip


38 remove tables

Remove a table fast!

You can quickly remove any table, whether small or large, from a topic.

To easily remove a table from a topic:

  • Right-click within the table you want to remove and select Delete Table.


39 convert to underscores

Convert spaces to underscores in file names

It is important to convert spaces in file names to underscores so your project is compatible with the viewer or browser that displays it.

To automatically convert spaces in file names to underscores:

  • From the Tools menu, select Options-General tab.

  • Select Use underscore in file names.


40 unused keywords

Remove unused keywords all at once

Keywords in your index that not referenced by any topics are called unused keywords. If you have any unused keywords in your index you can remove all of them at the same time.

To remove all unused keywords from your index:

  • Click the Index tab. From the Tools menu, select Remove Unused Keywords.


41 example

Easily change the title of a topic

In the following example, the topic title can be changed by typing a new name into the first text box.

Return to tip


41 rename topic titles

Easily change the title of a topic

You can quickly select a new title for any topic in your project.

To rename a topic title:

  • Click the Topics tab. Right-click on a topic and select Properties.

  • Click the General tab.

  • In the Topic Title text box enter a new title.

Example


42 example

Quickly change the file name of a topic

In the following example, the topic file name can be changed by typing a new name into the second text box.

Return to tip


42 topic file names

Quickly change the file name of a topic

You can easily select a new file name for any topic in your project.

To change a topic file name:

  • Click the Topics tab. Right-click on a topic and select Properties.

  • Click the General tab.

  • In the File Name text box enter a new name. The program will automatically update all references to the topic such as hyperlinks, table of contents, and index.

Example


43 change style sheets

Edit style sheets

You can change a style sheet and then all of the topics linked to the style sheet will update to reflect the changes.

To change a style sheet:

  • Click the Project tab and open the Style Sheets folder.

  • Double-click the style sheet (.CSS file) you want to edit.


44 add index keywords

Build your index by adding keywords

A carefully designed and well-maintained index is a critical element in many projects. Adding new keywords keeps the index current.

To add a new keyword to the index:

  • Click the Index tab. In the text box in the top pane type in a new keyword and click Add.

Example


44 example

Build your index by adding keywords

Return to tip


45 alink names

Organize topics with ALink controls

ALink controls provide a way to group topics together and are also another navigation tool for users. ALink controls are the links (clickable objects) in topics that take users to the topics. When users click the control, they see a list of topics. They can select any topic to open it.

To add an ALink name to a topic:

  • Click the Topics tab. Right-click a topic and select Properties.

  • Click the ALink tab and in ALink Names, enter the ALink term or phrase.

Example


45 example

Organize topics with ALink controls

In the following example, the ALink "Safari" has been typed into the ALink Names text box. The next step would be to click on the Add button.

Return to tip


TipWizReg Not Found

Tip Wizard Program Not Found

The program needed to turn off the Tip Wizard was not found. Please select Options from the Tools menu and uncheck the Show Tip Wizard at Startup option.